
import datetime
import uuid

from nsj_rest_lib.decorator.dto import DTO
from nsj_rest_lib.descriptor.dto_field import DTOField
from nsj_rest_lib.descriptor.dto_field_validators import DTOFieldValidators
from nsj_rest_lib.dto.dto_base import DTOBase



# Configuracoes execucao
from nsj_integracao_api_entidades.config import (tenant_is_partition_data)

@DTO()
class VeiculoDTO(DTOBase):
    # Atributos da entidade
    id: uuid.UUID = DTOField(
      pk=True,
      entity_field='veiculo',
      resume=True,
      not_null=True,
      strip=True,
      min=36,
      max=36,
      validator=DTOFieldValidators().validate_uuid,)
    tenant: int = DTOField(
      partition_data=tenant_is_partition_data,
      resume=True,
      not_null=True,)
    codigo: str = DTOField(
      candidate_key=True,
      strip=False,
      resume=True,
      not_null=True,)
    placa: str = DTOField(
      not_null=True,)
    renavam: str = DTOField()
    tarakg: int = DTOField()
    capacidadekg: int = DTOField()
    capacidadem3: int = DTOField()
    tipoveiculo: int = DTOField()
    tiporodado: int = DTOField()
    tipocarroceria: int = DTOField()
    uflicenciamento: str = DTOField()
    proprietario: uuid.UUID = DTOField(
      strip=True,
      min=36,
      max=36,
      validator=DTOFieldValidators().validate_uuid,)
    motorista: uuid.UUID = DTOField(
      strip=True,
      min=36,
      max=36,
      validator=DTOFieldValidators().validate_uuid,)
    empresa: uuid.UUID = DTOField(
      not_null=True,
      strip=True,
      min=36,
      max=36,
      validator=DTOFieldValidators().validate_uuid,)
    ano: int = DTOField()
    modelo: str = DTOField()
    rntc: str = DTOField()
    tipo: int = DTOField()
    lastupdate: datetime.datetime = DTOField()
    foto_filename: str = DTOField()
    consumo_km: float = DTOField()
    tipo_combustivel: str = DTOField()
    combustivel: uuid.UUID = DTOField(
      strip=True,
      min=36,
      max=36,
      validator=DTOFieldValidators().validate_uuid,)
    bloqueado: bool = DTOField()
    tipo_veiculo: uuid.UUID = DTOField(
      strip=True,
      min=36,
      max=36,
      validator=DTOFieldValidators().validate_uuid,)

