
import datetime
import uuid

from nsj_rest_lib.decorator.dto import DTO
from nsj_rest_lib.descriptor.dto_field import DTOField
from nsj_rest_lib.descriptor.dto_field_validators import DTOFieldValidators
from nsj_rest_lib.dto.dto_base import DTOBase



# Configuracoes execucao
from nsj_integracao_api_entidades.config import (tenant_is_partition_data)

@DTO()
class TiposprojetoDTO(DTOBase):
    # Atributos da entidade
    id: uuid.UUID = DTOField(
      pk=True,
      entity_field='tipoprojeto',
      resume=True,
      not_null=True,
      strip=True,
      min=36,
      max=36,
      validator=DTOFieldValidators().validate_uuid,)
    tenant: int = DTOField(
      partition_data=tenant_is_partition_data,
      resume=True,
      not_null=True,)
    grupoempresarial_id: uuid.UUID = DTOField(
      strip=True,
      min=36,
      max=36,
      validator=DTOFieldValidators().validate_uuid,)
    codigo: str = DTOField(
      candidate_key=True,
      strip=False,
      resume=True,
      not_null=True,)
    descricao: str = DTOField()
    cor: str = DTOField()
    gerasolicitacaocompras: int = DTOField(
      not_null=True,)
    utilizahorasvendidas: int = DTOField(
      not_null=True,)
    nivelcontrolehorasvendidas: int = DTOField(
      not_null=True,)
    alocartarefasaoresponsavel: int = DTOField(
      not_null=True,)
    contabilizarhorasimprodutivas: int = DTOField(
      not_null=True,)
    controlasaldohoras: int = DTOField(
      not_null=True,)
    todosostiposdehoras: bool = DTOField(
      not_null=True,)
    nivelcontrolesaldohoras: int = DTOField(
      not_null=True,)
    gerarexecucoes: int = DTOField(
      not_null=True,)
    created_at: datetime.datetime = DTOField(
      not_null=True,)
    updated_at: datetime.datetime = DTOField()
    created_by: dict = DTOField()
    updated_by: dict = DTOField()
    exibirdeclaracaoescopoinfadic: bool = DTOField(
      not_null=True,)
    exibirobjetivosinfadic: bool = DTOField(
      not_null=True,)
    exibirpremissasinfadic: bool = DTOField(
      not_null=True,)
    exibirrestricoesinfadic: bool = DTOField(
      not_null=True,)
    exibirriscosinfadic: bool = DTOField(
      not_null=True,)
    controlardataetapaautomatica: bool = DTOField(
      not_null=True,)
    estabelecimento: uuid.UUID = DTOField(
      strip=True,
      min=36,
      max=36,
      validator=DTOFieldValidators().validate_uuid,)

