
import datetime
import uuid

from nsj_rest_lib.entity.entity_base import EntityBase
from nsj_rest_lib.decorator.entity import Entity


@Entity(
    table_name="ns.pessoas",
    pk_field="id",
    default_order_fields=["pessoa"],
)
class PessoaEntity(EntityBase):
    id: uuid.UUID = None
    tenant: int = None
    pessoa: str = None
    datacadastro: datetime.datetime = None
    proximocontato: datetime.datetime = None
    nome: str = None
    nomefantasia: str = None
    tp_identificacao: int = None
    cnpj: str = None
    chavecnpj: str = None
    cpf: str = None
    caepf: str = None
    inscricaoestadual: str = None
    inscestsubstituto: str = None
    inscricaomunicipal: str = None
    rntrc: str = None
    identidade: str = None
    suframa: str = None
    nit: str = None
    nire: str = None
    observacao: str = None
    email: str = None
    site: str = None
    codigopis: str = None
    codigocofins: str = None
    codigocsll: str = None
    codigoirrf: str = None
    conta: str = None
    contrapartida: str = None
    contadesconto: str = None
    contajuros: str = None
    classefinpersona: str = None
    contacorrente: str = None
    ccustopersona: str = None
    contamulta: str = None
    contaestoque: str = None
    bloqueado: bool = None
    contribuinteicms: bool = None
    contribuinteipi: bool = None
    produtorrural: bool = None
    substitutomunicipal: bool = None
    tiposimples: int = None
    qualificacao: int = None
    icmssimp: int = None
    regimereceita: int = None
    aliquotarat: float = None
    aliquotafap: float = None
    aliquotaterceiros: float = None
    percentualtaxaservicoscooperativa: float = None
    percentualinsscooperativa: float = None
    orgaoemissor: str = None
    tipoicms: int = None
    codigocontabilcliente: str = None
    anotacao: str = None
    datacliente: datetime.datetime = None
    datafornecedor: datetime.datetime = None
    datavendedor: datetime.datetime = None
    leadativado: int = None
    clienteativado: int = None
    fornecedorativado: int = None
    vendedorativado: int = None
    transportadoraativado: int = None
    tecnicoativado: int = None
    pagamentounificado: int = None
    tipovencimento: int = None
    diavencimento: int = None
    notaantecipadacobranca: int = None
    emailcobranca: str = None
    enviarnfeporemail: int = None
    pontofidelidade: float = None
    retempis: int = None
    retemcofins: int = None
    retemcsll: int = None
    retemirrf: int = None
    retemiss: int = None
    tipolead: int = None
    descricao: str = None
    totalfuncionarios: int = None
    receitaanual: float = None
    datacriacao: datetime.datetime = None
    codigocontabilfornecedor: str = None
    banco: str = None
    agencianumero: str = None
    agencianome: str = None
    contanumero: str = None
    podeparticiparagendamento: int = None
    codigocontabiltransportadora: str = None
    datatransportadora: datetime.datetime = None
    cobrancaaposservico: int = None
    prorataantecipada: int = None
    celulavenda: uuid.UUID = None
    classificacaolead: uuid.UUID = None
    midiaorigem: uuid.UUID = None
    parcelamento: uuid.UUID = None
    promocaolead: uuid.UUID = None
    representante: uuid.UUID = None
    segmentoatuacao: uuid.UUID = None
    statuslead: uuid.UUID = None
    agencia: uuid.UUID = None
    centrocusto: uuid.UUID = None
    id_grupo: uuid.UUID = None
    idclasspessoacliente: uuid.UUID = None
    idclasspessoafornecedor: uuid.UUID = None
    idclasspessoatransportadora: uuid.UUID = None
    idclasspessoavendedor: uuid.UUID = None
    classificado: uuid.UUID = None
    captador: uuid.UUID = None
    vendedor: uuid.UUID = None
    usuariovendedor: uuid.UUID = None
    criador: uuid.UUID = None
    contatoativado: int = None
    id_receitadiferenciada: uuid.UUID = None
    id_despesadiferenciada: uuid.UUID = None
    tpcontacompra: int = None
    fichaativado: int = None
    categoriatecnico_id: uuid.UUID = None
    percentualfaturamentoservico: float = None
    percentualfaturamentoencargo: float = None
    percentualfaturamentoiss: float = None
    percentualfaturamentoretencao: float = None
    tributoativado: int = None
    lastupdate: datetime.datetime = None
    valormaxdesconto: float = None
    id_conta: uuid.UUID = None
    id_rateiopadrao: uuid.UUID = None
    enviarboletoporemail: int = None
    concessionariapublica: bool = None
    codigoconcessionaria: str = None
    id_conta_receber: uuid.UUID = None
    id_rateiopadrao_receber: uuid.UUID = None
    id_layoutcobranca: uuid.UUID = None
    id_cliente_fatura: uuid.UUID = None
    diafaturamento: int = None
    diasvencimentofatura: int = None
    id_formapagamento: uuid.UUID = None
    templateordemservico: uuid.UUID = None
    nacionalidade: int = None
    chavegold: str = None
    id_faixadecredito: uuid.UUID = None
    limite_de_credito: float = None
    importacao_hash: str = None
    enderecocobrancautilizarenderecoprincipal: bool = None
    enderecoentregautilizarenderecoprincipal: bool = None
    telefone_fts: str = None
    email_fts: str = None
    representante_tecnico: uuid.UUID = None
    representante_conv_old: uuid.UUID = None
    retem_inss: bool = None
    representantecomercialativado: int = None
    representantetecnicoativado: int = None
    template_rps: uuid.UUID = None
    search_fts: str = None
    tipocontrolepagamento: int = None
    situacaopagamento: int = None
    tipoclientepagamento: int = None
    justificativasituacaopagamento: str = None
    justificativatipoclientepagamento: str = None
    reguacobranca: uuid.UUID = None
    restricaocobranca1: uuid.UUID = None
    restricaocobranca2: uuid.UUID = None
    restricaocobranca3: uuid.UUID = None
    datasituacaopagamento: datetime.datetime = None
    datatipoclientepagamento: datetime.datetime = None
    classificacaofinanceirafrete: uuid.UUID = None
    classificacaofinanceiraoutdesp: uuid.UUID = None
    classificacaofinanceiraseguro: uuid.UUID = None
    comissao: float = None
    contratounificadonacobranca: bool = None
    contribuinteindividualativado: int = None
    dataultimacompra: datetime.datetime = None
    diavencimentounificado: int = None
    documentoestrangeiro: str = None
    enviarnfseporemail: bool = None
    funcionarioativado: int = None
    grupodeparticipante: uuid.UUID = None
    id_formapagamento_fornecedor: uuid.UUID = None
    id_fornecedorfactoring: uuid.UUID = None
    indicadorinscricaoestadual: int = None
    inscritapaa: bool = None
    json_elementos_controle: dict = None
    notafutura: bool = None
    percentualtaxacobrancaterceirizacao: float = None
    projeto: uuid.UUID = None
    retem_abaixo_minimo: bool = None
    tipocliente_codigo: str = None
    tipocliente_descricao: str = None
    tomadorfolhaativado: int = None
    usarvencimentounificado: bool = None
    valorultimacompra: float = None
    esperapagamentoseguradora: bool = None
    faturanamatriz: bool = None
    created_by: dict = None
    created_at: datetime.datetime = None
    updated_by: dict = None
    updated_at: datetime.datetime = None
    realizapagamentoempresas: bool = None
    diasparavencimento: int = None
    estabelecimentoid: uuid.UUID = None
    seguradora: bool = None
    id_conjunto: uuid.UUID = None
    excluido: bool = None
    deleted_by: dict = None
    deleted_at: datetime.datetime = None
    id_potencialportfolio: uuid.UUID = None
    negativado: bool = None
    potencial_portifolio: int = None
    prioridade: int = None
    pendenciaaprovacaocliente: bool = None
    possuidocumentoscadastrais: bool = None
    classificacaoabc: str = None
    receberorcamentoaoacionar: bool = None
    grupoparticipante: uuid.UUID = None
