
import datetime
import uuid

from nsj_rest_lib.entity.entity_base import EntityBase
from nsj_rest_lib.decorator.entity import Entity


@Entity(
    table_name="persona.trabalhadores",
    pk_field="trabalhador",
    default_order_fields=["codigo"],
)
class TrabalhadoreEntity(EntityBase):
    trabalhador: uuid.UUID = None
    tenant: int = None
    tipo: int = None
    codigo: str = None
    nome: str = None
    dataadmissao: datetime.datetime = None
    tipoadmissao: int = None
    primeiroemprego: bool = None
    tiporegimetrabalhista: int = None
    tiporegimeinss: int = None
    tipoatividade: int = None
    salariofixo: float = None
    salariovariavel: float = None
    unidadesalariofixo: int = None
    unidadesalariovariavel: int = None
    tipocontrato: int = None
    datafimcontrato: datetime.datetime = None
    diasexperienciacontrato: int = None
    diasprorrogacaocontrato: int = None
    numerohorasmensais: float = None
    numerodiasperiodo: int = None
    numerocontasalario: str = None
    numerocontasalariodv: str = None
    numerocontafgts: str = None
    tiporecebimentosalario: int = None
    dataopcaofgts: datetime.datetime = None
    optantefgts: bool = None
    categoriatrabalhador: str = None
    numeroreciborescisao: str = None
    datarescisao: datetime.datetime = None
    motivorescisao: str = None
    tiporeintegracao: int = None
    numeroleianistia: str = None
    datareintegracaoretroativa: datetime.datetime = None
    datareintegracaoretorno: datetime.datetime = None
    raca: str = None
    grauinstrucao: str = None
    paisnacionalidade: str = None
    sexo: int = None
    estadocivil: int = None
    datanascimento: datetime.datetime = None
    ufnascimento: str = None
    cidadenascimento: str = None
    municipionascimento: str = None
    paisnascimento: str = None
    nomepai: str = None
    nomemae: str = None
    datachegadapais: datetime.datetime = None
    datanaturalizacao: datetime.datetime = None
    casadocombrasileiro: bool = None
    filhobrasileiro: bool = None
    deficientevisual: bool = None
    deficienteauditivo: bool = None
    reabilitado: bool = None
    numeroctps: str = None
    seriectps: str = None
    ufctps: str = None
    dataexpedicaoctps: datetime.datetime = None
    numeroric: str = None
    orgaoemissorric: str = None
    dataexpedicaoric: datetime.datetime = None
    ufric: str = None
    cidaderic: str = None
    numerorg: str = None
    orgaoemissorrg: str = None
    dataexpedicaorg: datetime.datetime = None
    ufrg: str = None
    numerooc: str = None
    orgaoemissoroc: str = None
    dataexpedicaooc: datetime.datetime = None
    datavalidadeoc: datetime.datetime = None
    numerocnh: str = None
    orgaoemissorcnh: str = None
    dataexpedicaocnh: datetime.datetime = None
    datavalidadecnh: datetime.datetime = None
    dataprimeirahabilitacaocnh: datetime.datetime = None
    categoriacnh: int = None
    paisemissaopassaporte: str = None
    numeropassaporte: str = None
    orgaoemissorpassaporte: str = None
    ufpassaporte: str = None
    dataexpedicaopassaporte: datetime.datetime = None
    datavalidadepassaporte: datetime.datetime = None
    cpf: str = None
    nis: str = None
    numeronaturalizacao: str = None
    numerote: str = None
    zonate: int = None
    secaote: int = None
    ufte: str = None
    numeroatestadoobito: str = None
    datavencimentoatestadomedico: datetime.datetime = None
    tipocertidao: int = None
    numerocertidao: str = None
    livrocertidao: str = None
    folhacertidao: str = None
    dataexpedicaocertidao: datetime.datetime = None
    cidadecertidao: str = None
    ufcertidao: str = None
    cartoriocertidao: str = None
    numerocr: str = None
    dataexpedicaocr: datetime.datetime = None
    seriecr: str = None
    tipologradouro: str = None
    municipioresidencia: str = None
    paisresidencia: str = None
    logradouro: str = None
    numero: str = None
    complemento: str = None
    bairro: str = None
    cidade: str = None
    cep: str = None
    residenciapropria: bool = None
    usoufgtscompraimovel: bool = None
    telefone: str = None
    email: str = None
    saldoferias: int = None
    inicioperiodoaquisitivoferias: datetime.datetime = None
    dataproximasferias: datetime.datetime = None
    saldofgts: float = None
    percentualadiantamento: float = None
    descontainss: bool = None
    tinhaempregonoaviso: bool = None
    sindicalizado: bool = None
    datainicioanuenio: datetime.datetime = None
    jornadareduzida: bool = None
    teveavisoindenizado: bool = None
    fgtsmesanteriorrescisaorecolhido: bool = None
    agentenocivo: str = None
    numerocartaovt: str = None
    diasemanacommeiovt: int = None
    observacao: str = None
    cnpjempresaanterior: str = None
    matriculaempresaanterior: str = None
    dataadmissaoempresaanterior: datetime.datetime = None
    cnpjcendente: str = None
    matriculacedente: str = None
    dataadmissaocedente: datetime.datetime = None
    cnpjempresasucessora: str = None
    trabalhaemoutraempresa: bool = None
    ordemcalculoinssfolha: int = None
    ordemcalculoinss13: int = None
    simplesconcomitante: str = None
    dddtel: str = None
    sangue: int = None
    ordemcalculoduplovinculo: int = None
    cbo: str = None
    deficienteintelectual: bool = None
    deficientemental: bool = None
    motivoadmissao: int = None
    quantidademediahorassemanais: float = None
    motivocontratacaotemporaria: int = None
    avisoindenizadopago: bool = None
    dataprojecaoavisopreviopago: datetime.datetime = None
    recolheufgtsmesanterior: bool = None
    regimedejornada: int = None
    mesestrabalhadosoutrasempresas: int = None
    infoimagem: str = None
    deficientefisico: bool = None
    agencia: uuid.UUID = None
    empresa: uuid.UUID = None
    estabelecimento: uuid.UUID = None
    acordodeprorrogacao: uuid.UUID = None
    matriculaoutracategoria: uuid.UUID = None
    departamento: uuid.UUID = None
    matriculaoutrovinculo: uuid.UUID = None
    trabalhadorsubstituido: uuid.UUID = None
    horario: uuid.UUID = None
    lotacao: uuid.UUID = None
    nivelcargo: uuid.UUID = None
    processoreintegracao: uuid.UUID = None
    processoadmissao: uuid.UUID = None
    processodemissao: uuid.UUID = None
    processoirrf: uuid.UUID = None
    processoinss: uuid.UUID = None
    processomenoraprendiz: uuid.UUID = None
    sindicato: uuid.UUID = None
    tipofuncionario: uuid.UUID = None
    identificacaonasajon: str = None
    vinculo: str = None
    status: int = None
    avaliador: uuid.UUID = None
    gestor: uuid.UUID = None
    jornadacumpridasemanademissao: bool = None
    jornadasabadocompensadasemanademissao: bool = None
    funcao: uuid.UUID = None
    cageddiariogerado: bool = None
    nivelestagio: int = None
    areaatuacaoestagio: str = None
    apoliceseguroestagio: str = None
    nomesupervisorestagio: str = None
    cpfsupervisorestagio: str = None
    estagioobrigatorio: bool = None
    instituicaoensino: uuid.UUID = None
    instituicaointegradora: uuid.UUID = None
    percentualdeducaobaseirrf: float = None
    percentualdeducaobaseinss: float = None
    aliquotaiss: float = None
    motivodesligamentodiretor: str = None
    datatransferencia: datetime.datetime = None
    empresaanterior: uuid.UUID = None
    trabalhadorempresaanterior: uuid.UUID = None
    lastupdate: datetime.datetime = None
    trabalhadorcontratoanterior: uuid.UUID = None
    subtipo: int = None
    valorgratificacoesrescisao: float = None
    valorbancohorasrescisao: float = None
    mesesbancohorasrescisao: int = None
    mesesgratificacoesrescisao: int = None
    motivodispensavt: str = None
    excluido: bool = None
    celular: str = None
    dddcel: str = None
    datafimmarcacaoponto: datetime.datetime = None
    identidadenasajon: str = None
    telefonecomercial: str = None
    ramalcomercial: str = None
    identidadecorporativa: str = None
    dddtelcorporativo: str = None
    telefonecorporativo: str = None
    ramalcorporativo: str = None
    senhapontoweb: str = None
    dataprorrogacaocontrato: datetime.datetime = None
    descontacontribuicaosindical: bool = None
    informousaldoinicialbhesocial: bool = None
    descontavaletransporte: bool = None
    clausulanaopagamentomultaantecipacaofimcontrato: bool = None
    dataultimaatualizacaosaldofgts: datetime.datetime = None
    periodoapuracaopontoproprio: bool = None
    horarionoturnojornadasemanal: bool = None
    chavepix: str = None
    ufcnh: str = None
    descricaosalariovariavel: str = None
    tipoinclusaotemporaria: int = None
    cpftrabalhadorsubstituido: str = None
    temporesidenciaestrangeiro: int = None
    classificacaoestrangeiro: int = None
    condicaoambientetrabalho: uuid.UUID = None
    matriculaesocial: str = None
